# Tags

## Retrieve Tags

> Retrieves the name and ID of the all the Tags, which can be used to alter Tag assocations on the different resources (SIMs, Connectors and Network Lists).\
> \
> Tags allow you to group SIMs, users, Connectors and Network Lists into sub-groups within your organization to customize control and views.\
> \
> If you want more information about the feature, check out our article \[How do I set up Tags?]\(<https://help.onomondo.com/en/articles/151350-how-do-i-set-up-tags)\\>
> \
> {% hint style="info" %} Currently, creating and updating Tags should be done in \<a href="[https://app.onomondo.com/tags">the](https://app.onomondo.com/tags">the) Tags page in the web app\</a>. {% endhint %}

```json
{"openapi":"3.0.0","info":{"title":"Onomondo's API","version":"1.0.0"},"servers":[{"url":"https://api.onomondo.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/tags/search/tags":{"get":{"summary":"Retrieve Tags","description":"Retrieves the name and ID of the all the Tags, which can be used to alter Tag assocations on the different resources (SIMs, Connectors and Network Lists).\n\nTags allow you to group SIMs, users, Connectors and Network Lists into sub-groups within your organization to customize control and views.\n\nIf you want more information about the feature, check out our article [How do I set up Tags?](https://help.onomondo.com/en/articles/151350-how-do-i-set-up-tags)\n\n{% hint style=\"info\" %} Currently, creating and updating Tags should be done in <a href=\"https://app.onomondo.com/tags\">the Tags page in the web app</a>. {% endhint %}","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onomondo.com/readme/tags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
